Security Update
Bugfix Update
 
Prioriteit
 
Prioriteit

Met Patch SUPEE-10415 verhelpt Magento opnieuw een aantal kritische problemen van het CMS. Met de uitgifte van SUPEE-10415 is ook Magento 1.9.3.7 beschikbaar gemaakt. In dit artikel bespreken we in het kort de update en zaken waar u bij het toepassen van de patch op moet letten.

Ondersteuning nodig bij het installeren van Magento Patches? Ja! Help me patchen!

Magento Patch SUPEE-10415 heeft, zoals elke patch, als doel uw Magento webshop weer een stukje beter en veiliger te maken. Deze patch introduceert een aantal oplossingen voor potentieel kritisch problemen en lost daarnaast een aantal bugs op. Allereerst wordt er een einde gemaakt aan de melding die ons de nodige vragen op de chat heeft opgeleverd:

“Invalid Secret Key. Please refresh the page.”

Verder wordt naast een minimum aantal karakters voor het instellen van een wachtwoord ook een maximum van 255 karakters ingesteld. De belangrijkste wijzigingen zijn echter minder zichtbaar en hebben voornamelijk betrekking op het voorkomen van "Cross-Site Scripting", of kortweg XSS, aanvallen. Een XSS aanval betekent dat een gebruiker, of misbruiker in dit geval, in staat is om specifieke code uit te voeren op uw webshop waarmee bijvoorbeeld een gebruikerssessie overgenomen kan worden of een bepaalde actie uitgevoerd kan worden. Logischerwijs wilt u deze risico's beperken en is het installeren van deze patch aan te raden. 

Met deze nieuwe update geeft Magento ook versie 1.9.3.7 uit van het CMS. U kunt er dus voor kiezen om uw Magento CMS naar deze nieuwe versie te updaten of patch SUPEE-10415 te installeren.


Hulp nodig bij de installatie van deze patch?
Individuele patch installatie al vanaf €35!

Wel of niet updaten?

Het is vrijwel in alle gevallen te adviseren beschikbare patches te installeren, zo ook voor SUPEE-10415. Niet alleen beschermt u hiermee uw webshop, ook het uitvoeren van toekomstige updates wordt hiermee makkelijker aangezien de meeste updates de installatie van voorgaande patches vereisen. Weten waarom het uitvoeren van Magento patches belangrijk is? Lees dan ons artikel "Waarom Magento patches belangrijk zijn".

Hoe installeer ik Magento Patch SUPEE-10415?

U kunt ervoor kiezen Magento patches zelf te installeren. In sommige gevallen is het echter aan te raden dit over te laten aan een ervaren Magento ontwikkelaar. Toch zelf doen? Lees dan hoe u zelf Magento patches kan installeren.

Hulp nodig bij het installeren van deze patch?

Als gecertificeerd Magento ontwikkelaar kan V-Web het onderhoud van uw webshop uitvoeren. Wij zorgen dat Magento patches tijdig geïnstalleerd worden en adviseren u over optimalisatie mogelijkheden van uw webshop. Zo kunt u zich concentreren op het managen van uw webshop en doen wij de rest! Ook voor het uitvoeren van individuele patches kunt u bij ons terecht. Kijk op onze "Magento Patch Service" pagina voor meer informatie.